import http from "../../utils/http";
import config from "../../config/config";

/** 获取店铺商品分类
 *
 * @author Seven
 * @data 2025-7-11
 * @returns {  }
 * @see https://mall.gpxscs.cn/api/admin/shop/shop-base-product-category/list
 */

export function GetCommodityClassify() {
  return http({
    url: "/shop/shop-base-product-category/list",
    method: "get",
    baseURL: config.adminApi,
  });
}

/** 修改店铺商品分类
 *
 * @author Seven
 * @data 2025-7-13
 * @returns {  }
 * @see https://mall.gpxscs.cn/api/admin/shop/shop-base-product-category/edit
 */

export function UpdateCommodityClassify(params) {
  return http({
    url: "/shop/shop-base-product-category/edit",
    method: "post",
    params,
    baseURL: config.adminApi,
  });
}

/** 删除店铺商品分类
 *
 * @author Seven
 * @data 2025-7-13
 * @returns {  category_id }
 * @see https://mall.gpxscs.cn/api/admin/shop/shop-base-product-category/delete
 */

export function DelectCommodityClassify(params) {
  return http({
    url: "/shop/shop-base-product-category/delete",
    method: "post",
    params,
    baseURL: config.adminApi,
  });
}
